Notus API
User operations

Prepare limit order cancellation

Returns the typed data required to cancel an active Velora Delta limit order.

POST
/api/v1/crypto/limit-orders/{transactionId}/cancel
x-api-key<token>

In: header

Path Parameters

transactionIdstring
Length1 <= length
signaturestring
Match^0x([a-fA-F0-9]{2})*$

Response Body

curl -X POST "https://api.notuslabs.xyz/api/v1/crypto/limit-orders/string/cancel" \  -H "Content-Type: application/json" \  -d '{    "signature": "string"  }'
{
  "requiresExecution": true,
  "status": "PENDING_SIGNATURE",
  "id": "tx_123",
  "signData": [
    {
      "type": "LIMIT_ORDER",
      "typedData": {
        "domain": {
          "name": "LightAccount",
          "version": "1",
          "chainId": 137,
          "verifyingContract": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464"
        },
        "types": {
          "LightAccountMessage": [
            {
              "name": "message",
              "type": "bytes"
            }
          ]
        },
        "primaryType": "LightAccountMessage",
        "message": {
          "message": "0x0000000000000000000000000000000000000000000000000000000000000000"
        }
      }
    }
  ],
  "expiresAt": null,
  "fees": [
    {
      "amount": {
        "value": "0",
        "usd": "0",
        "brl": "0"
      },
      "nativeAmount": "0",
      "percent": 0,
      "recipient": null,
      "tokenAddress": "0x0000000000000000000000000000000000000000",
      "type": "GAS"
    }
  ]
}
{
  "statusCode": 400,
  "id": "CANCEL_LIMIT_ORDER_NOT_ALLOWED",
  "message": "The provided transaction is not an active cancellable limit order."
}
{
  "statusCode": 404,
  "id": "CANCEL_LIMIT_ORDER_TRANSACTION_NOT_FOUND",
  "message": "Limit order transaction not found."
}